//#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>


using namespace std;

using ull = unsigned long long;
using ll = long long;
using ld = long double;

#define X first
#define Y second

const ll mod = 1000000007;
//const ll mod = 998244353;

const ull MM = 1000000005;

inline ll pew(ll a)
{
    ll res = 1;
    ull b = MM;
    while (b>0)
    {
        if (b&1ULL) res = res*a%mod;
        b >>= 1ULL;
        a = a*a%mod;
    }
    return res;
}

vector<ll> p10;


ll check(ll x, ll y)
{
    if (x>y) swap(x,y);
    ll Q = 0;
    for (ll d=1;d<=9;d++)
    {
        if (x<p10[d] and y>=p10[d]) return 0;
        if (x/p10[d]%10!=y/p10[d]%10) Q++;
    }
    if (x%10!=y%10) Q++;
    if (Q>2) return 0;
    return 1;
}

pair<int,int> get(vector<ll> a, ll req)
{
    ll n = a.size();
    vector<ll> pr(n+1), suf(n+1);
    pr[0] = suf[n] = 1;
    for (ll j=0;j<n;j++) pr[j+1] = pr[j]*a[j]%mod;
    for (ll j=n-1;j>=0;j--) suf[j] = suf[j+1]*a[j]%mod;
    ll C = pr[n];
    ll D = (req+C)%mod;
    for (ll i=0;i<n;i++)
    {
        ll W = pr[i]*suf[i+1]%mod;
        for (ll d=8;d>=0;d--)
        {
            if (d>0 and p10[d]>a[i]) continue;
            ll x0 = a[i]-(a[i]/p10[d]%10)*p10[d];
            for (ll f=0;f<10;f++)
            {
                if (f==0 and a[i]<p10[d+1] and d>0) continue;
                ll x = x0+f*p10[d];
                if (x==a[i]) continue;
                if (x>=mod) continue;
                ll y = x*W%mod;
                if (y==D) return {i,x};
            }
        }
    }
    assert(false);
}

const int MX = 10000000;
int cur[MX];
pair<ll,ll> lul[1000];

void solve()
{
    vector<vector<ll>> a(1);
    vector<vector<int>> p(1);
    int Q = 1;
    while (true)
    {
        ll x;
        //x = 999999999;
        cin >> x;
        a.back().push_back(x);
        p.back().push_back(Q++);
        string s;
        cin >> s;
        if (s=="=") break;
        if (s=="+")
        {
            a.push_back({});
            p.push_back({});
        }
    }
    ll S;
    cin >> S;
    //S = 998244353;
    ll S0 = 0;
    ll sz = a.size();
    for (ll i=0;i<sz;i++)
    {
        ll b = 1;
        for (ll j=0;j<a[i].size();j++)
        {
            b = b*a[i][j]%mod;
        }
        S0 = (S0+b)%mod;
    }
    if (S==S0)
    {
        cout << "YES\n";
        cout << 0 << "\n";
        return;
    }
    ll del = S-S0;
    if (del<0) del += mod;
    p10.resize(10);
    p10[0] = 1;
    for (ll i=1;i<10;i++) p10[i] = p10[i-1]*10;
    unordered_map<ll,int> was;
    for (int w=0;w<sz;w++)
    {
        ll n = a[w].size();
        vector<ll> pr(n+1), suf(n+1);
        pr[0] = suf[n] = 1;
        for (ll j=0;j<n;j++) pr[j+1] = pr[j]*a[w][j]%mod;
        for (ll j=n-1;j>=0;j--) suf[j] = suf[j+1]*a[w][j]%mod;
        ll C = pr[n];
        ll req = (del+C)%mod;
        for (ll i=0;i<n;i++)
        {
            ll W = pr[i]*suf[i+1]%mod;
            if (W==0) continue;
            ll R = req*pew(W)%mod;
            if (check(a[w][i],R))
            {
                cout << "YES\n";
                cout << 1 << "\n";
                cout << p[w][i] << " " << R << "\n";
                return;
            }
        }
        ll D = (mod-C)%mod;
        int CNT = 0;
        for (ll i=0;i<n;i++)
        {
            ll W = pr[i]*suf[i+1]%mod;
            for (ll d=8;d>=0;d--)
            {
                if (d>0 and p10[d]>a[w][i]) continue;
                ll x0 = a[w][i]-(a[w][i]/p10[d]%10)*p10[d];
                for (ll f=0;f<10;f++)
                {
                    if (f==0 and a[w][i]<p10[d+1] and d>0) continue;
                    ll x = x0+f*p10[d];
                    if (x==a[w][i]) continue;
                    if (x>=mod) continue;
                    int DD = (D+W*x)%mod;
                    int lft = del-DD;
                    if (lft<0) lft += mod;
                    if (was.count(lft)!=0)
                    {
                        int P = was[lft];
                        pair<int,int> F = get(a[P],lft);
                        cout << "YES\n";
                        cout << 2 << "\n";
                        cout << p[P][F.X] << " " << F.Y << "\n";
                        cout << p[w][i] << " " << x << "\n";
                        return;
                    }
                    cur[CNT++] = DD;
                }
            }
        }
        for (int i=0;i<CNT;i++) was[cur[i]] = w;
    }
    for (int w=0;w<sz;w++)
    {
        ll n = a[w].size();
        vector<int> P0;
        ll SS = 1;
        for (int i=0;i<n;i++)
        {
            if (a[w][i]==0)
            {
                P0.push_back(i);
            } else SS = SS*a[w][i]%mod;
        }
        if (P0.size()>2) continue;
        if (P0.size()==2)
        {
            for (ll d1=1;d1<10;d1++)
            {
                for (ll d2=d1;d2<10;d2++)
                {
                    ll res = d1*d2*SS%mod;
                    if (res==del)
                    {
                        cout << "YES\n";
                        cout << 2 << "\n";
                        cout << p[w][P0[0]] << " " << d1 << "\n";
                        cout << p[w][P0[1]] << " " << d2 << "\n";
                        return;
                    }
                }
            }
            continue;
        }
        if (P0.size()==1)
        {
            for (ll i=0;i<n;i++)
            {
                if (a[w][i]==0) continue;
                ll W = SS*pew(a[w][i])%mod;
                for (ll d=8;d>=0;d--)
                {
                    if (d>0 and p10[d]>a[w][i]) continue;
                    ll x0 = a[w][i]-(a[w][i]/p10[d]%10)*p10[d];
                    for (ll f=0;f<10;f++)
                    {
                        if (f==0 and a[w][i]<p10[d+1] and d>0) continue;
                        ll x = x0+f*p10[d];
                        if (x==a[w][i]) continue;
                        if (x>=mod) continue;
                        ll DD = x*W%mod;
                        for (ll d1=1;d1<10;d1++)
                        {
                            if (DD*d1%mod==del)
                            {
                                cout << "YES\n";
                                cout << 2 << "\n";
                                cout << p[w][P0[0]] << " " << d1 << "\n";
                                cout << p[w][i] << " " << x << "\n";
                                return;
                            }
                        }
                    }
                }
            }
            continue;
        }
        //if (a[w].size()==1) continue;
        unordered_map<ll,pair<ll,ll>> kek;
        ll tar = (del+SS)*pew(SS)%mod;
        for (ll i=0;i<n;i++)
        {
            ll W = pew(a[w][i]);
            int CNT = 0;
            for (ll d=8;d>=0;d--)
            {
                if (d>0 and p10[d]>a[w][i]) continue;
                ll x0 = a[w][i]-(a[w][i]/p10[d]%10)*p10[d];
                for (ll f=0;f<10;f++)
                {
                    if (f==0 and a[w][i]<p10[d+1] and d>0) continue;
                    ll x = x0+f*p10[d];
                    if (x==a[w][i] or x==0) continue;
                    if (x>=mod) continue;
                    ll DD = x*W%mod;
                    ll lft = tar*pew(x)%mod*a[w][i]%mod;
                    if (kek.count(lft)!=0)
                    {
                        pair<ll,ll> P = kek[lft];
                        cout << "YES\n";
                        cout << 2 << "\n";
                        cout << p[w][P.X] << " " << P.Y << "\n";
                        cout << p[w][i] << " " << x << "\n";
                        return;
                    }
                    lul[CNT++] = {DD,x};
                }
            }
            for (int j=0;j<CNT;j++) kek[lul[j].X] = {i,lul[j].Y};
        }
    }
    cout << "NO\n";
}


int main()
{
    ios_base::sync_with_stdio(false);
    ll T;
    T = 1;
    cin.tie(0);
    //ld t = clock();
    //cin >> T;
    while (T--) solve();
    //cout << (clock()-t)/CLOCKS_PER_SEC << endl;
}