"""
@author: kbats183
Konstantin Bats, ITMO University
"""

from collections import deque


def main():
    a, b, T = [int(i) for i in input().split()]

    cur_time = 0
    q1 = deque()
    q2 = deque()
    ans = [0, 0]

    def send_msg_1(time):
        ans[0] += 1
        q2.append(time + 1)

    def send_msg_2(time):
        ans[1] += 1
        q1.append(time + 1)

    while cur_time <= T:
        if len(q1) > 0 and q1[0] <= cur_time:
            assert q1[0] == cur_time
            q1.popleft()
            send_msg_1(cur_time)
            continue
        if len(q2) > 0 and q2[0] <= cur_time:
            assert q2[0] == cur_time
            q2.popleft()
            send_msg_2(cur_time)
            continue
        if cur_time % a == 0:
            send_msg_1(cur_time)
        if cur_time % b == 0:
            send_msg_2(cur_time)
        cur_time += 1
    print(*ans)


if __name__ == '__main__':
    main()
