/*
    @author: doreshnikov
    Daniil Oreshnikov, ITMO University
*/

#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

template<typename T1, typename T2>
istream &operator>>(istream &in, pair<T1, T2> &p) {
    return in >> p.first >> p.second;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item: v)
        in >> item;
    return in;
}

#define all(c) c.begin(), c.end()

int progression(int start, int delta, int step) {
    return start * (delta + 1) + step * delta * (delta + 1) / 2;
}

int replies(int step, int t) {
    int count = t / step + 1;
    int result = progression(t % step + 1, count - 1, step);
    int over = ((t + 1) % 2) * (count + 1) / 2 + ((t + 1 - step) % 2) * count / 2;
    return (result - over) / 2;
}

int main() {
    in(int, a, b, T)
    int recv0 = replies(a, T) + replies(b, T + 1);
    int recv1 = replies(b, T) + replies(a, T + 1);
    cout << recv1 << ' ' << recv0 << '\n';

}