/*
    @author: doreshnikov
    Daniil Oreshnikov, ITMO University
*/

#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

template<typename T1, typename T2>
istream &operator>>(istream &in, pair<T1, T2> &p) {
    return in >> p.first >> p.second;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item : v)
        in >> item;
    return in;
}

#define all(c) c.begin(), c.end()


int main() {

    in(int, a, b, T)
    int c = 1;
    vector<vector<int>> recv(2, vector<int>(T + 1));

    for (int t = 0; t <= T; t++) {
        if (t % a == 0) recv[1][t]++;
        if (t % b == 0) recv[0][t]++;
        if (t + c <= T) {
            recv[0][t + c] += recv[1][t];
            recv[1][t + c] += recv[0][t];
        }
    }

    cout << accumulate(all(recv[1]), 0) << ' ' << accumulate(all(recv[0]), 0) << '\n';

}
